/* 
	circular loading animation currently used on the following pages:
	- Forgot Password
	- PartnerPrograms
	- PayNet
	- Home Page Edit
	- Focused Landing Edit
	- Manu Central Edit
	- Authorization Modal
	- Search Results
	- MyOrders



	HTML structure
	================
	<div class="loading">
		<div class="loading-anim"></div>
	</div>
*/
.loading:not(#spexWidget .loading) {
  display: none;
  background-color: #ffffff;
  background-color: rgba(255, 255, 255, 0.75);
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
}
.csstransitions  .loading-anim {
  top: 50%;
  left: 50%;
  margin: -45px 0 0 -45px;
  position: absolute;
  font-size: 7px;
  text-indent: -9999em;
  border-top: 1.21em solid #000000;
  border-top: 1.21em solid rgba(0, 0, 0, 0.2);
  border-right: 1.21em solid #000000;
  border-right: 1.21em solid rgba(0, 0, 0, 0.2);
  border-bottom: 1.21em solid #000000;
  border-bottom: 1.21em solid rgba(0, 0, 0, 0.2);
  border-left: 1.21em solid #0068b8;
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  animation: load8 1.1s infinite linear;
  border-radius: 50%;
  width: 80px;
  height: 80px;
}
.csstransitions  .loading-anim:after {
  border-radius: 50%;
  width: 80px;
  height: 80px;
}
@keyframes load8 {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.no-csstransitions  .loading-anim {
  top: 50%;
  left: 50%;
  margin: -17px 0 0 -17px;
  position: absolute;
  width: 38px;
  height: 38px;
  background-image: url(/images/dandhWeb/rotator.gif);
  background-repeat: no-repeat;
}
/*
	Copyright (c) 2016 by Alexander Haniotis (http://codepen.io/haniotis/pen/KwvYLO)

	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
	associated documentation files (the "Software"), to deal in the Software without restriction, 
	including without limitation the rights to use, copy, modify, merge, publish, distribute, 
	sublicense, and/or sell copies of the Software, and to permit persons to whom the Software 
	is furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all copies or 
	substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
	NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
	NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
	DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/
/*
	Corresponding html/svg:
	
	<svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
		<circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/>
		<path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/>
	</svg>

	Note: add "animate" class to svg.checkmark to trigger animations
*/
.checkmark {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  display: block;
  stroke-width: 2;
  stroke: #fff;
  stroke-miterlimit: 10;
  margin: 5% auto;
  box-shadow: inset 0px 0px 0px #7ac142;
}
.checkmark.animate {
  animation: fill 0.4s ease-in-out 0.4s forwards, scale 0.3s ease-in-out 0.9s both;
}
.checkmark.animate .checkmark__circle {
  animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}
.checkmark.animate .checkmark__check {
  animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
}
.checkmark__circle {
  stroke-dasharray: 166;
  stroke-dashoffset: 166;
  stroke-width: 2;
  stroke-miterlimit: 10;
  stroke: #7ac142;
  fill: none;
}
.checkmark__check {
  -ms-transform-origin: 50% 50%;
      transform-origin: 50% 50%;
  stroke-dasharray: 48;
  stroke-dashoffset: 48;
}
@keyframes stroke {
  100% {
    stroke-dashoffset: 0;
  }
}
@keyframes scale {
  0%,
  100% {
    transform: none;
  }
  50% {
    transform: scale3d(1.1, 1.1, 1);
  }
}
@keyframes fill {
  100% {
    box-shadow: inset 0px 0px 0px 50px #7ac142;
  }
}
#loginHelp .loading.active {
  display: block;
}
#loginHelp .msg {
  display: none;
  text-align: center;
}
#loginHelp .fa-exclamation-circle {
  padding-right: 7px;
}
#loginHelp .alert {
  display: none;
  padding: 7px 15px;
  margin: 15px 0;
}
.password-peek {
  position: relative;
}
.password-peek .form-control {
  padding-right: 27px;
  background-image: none !important;
  border-radius: 25px;
  height: 40px;
  font-size: 16px;
  padding: 0 15px;
}
.password-peek .form-control:disabled + .fa,
.password-peek .ui-state-disabled + .fa {
  display: none;
}
.password-peek .fa {
  position: absolute;
  right: 8px;
  top: 50%;
  margin: -8px 0;
  font-size: 16px;
  cursor: pointer;
  color: #949494;
  transition: all 0.3s ease-in-out;
}
.password-peek .fa:not(.reveal):hover,
.password-peek .fa.reveal {
  color: black;
}
.password-peek .fa.reveal:before {
  content: '\f070';
}
.form-group.has-error .fa-eye {
  background-color: transparent;
}
#forgotPassword-ns #content {
  padding: 20px 1em;
}
#forgotPassword-ns #content div.title {
  color: #0076D1;
  margin: 0 0 10px 15px;
  font-weight: bold;
  font-size: 22px;
}
#forgotPassword-ns .margin-t-30 {
  margin-top: 30px;
}
#forgotPassword-ns #forgotPass .btn-danger,
#forgotPassword-ns #forgotID .btn-danger,
#forgotPassword-ns #resetValidate .btn-danger {
  border-radius: 25px;
  background-clip: padding-box;
  font-size: 16px;
  height: 40px;
  padding: 0 20px;
}
#forgotPassword-ns #forgotPass .btn-danger:focus,
#forgotPassword-ns #forgotID .btn-danger:focus,
#forgotPassword-ns #resetValidate .btn-danger:focus {
  outline: 0 !important;
}
#forgotPassword-ns #forgotPass .form-control,
#forgotPassword-ns #forgotID .form-control,
#forgotPassword-ns #resetValidate .form-control {
  border-radius: 25px;
  background-clip: padding-box;
  height: 40px;
  font-size: 16px;
  padding: 0 15px;
}
#forgotPassword-ns #formSection {
  position: relative;
}
#forgotPassword-ns #formSection:before,
#forgotPassword-ns #formSection:after {
  content: " ";
  /* 1 */
  display: table;
  /* 2 */
}
#forgotPassword-ns #formSection:after {
  clear: both;
}
#forgotPassword-ns #formSection div.fade {
  position: absolute !important;
}
#forgotPassword-ns .box {
  background: #ffffff;
  padding: 2em 0;
  height: 240px;
  width: 420px;
  position: relative;
}
#forgotPassword-ns #faqSection {
  margin-top: 30px;
}
#forgotPassword-ns #faqSection:before,
#forgotPassword-ns #faqSection:after {
  content: " ";
  /* 1 */
  display: table;
  /* 2 */
}
#forgotPassword-ns #faqSection:after {
  clear: both;
}
#forgotPassword-ns #faqSection .list-unstyled li {
  padding: 5px 0;
  font-size: 13px;
}
#forgotPassword-ns .help {
  margin-top: 20px;
  font-size: 12px;
  font-style: italic;
}
#forgotPassword-ns .alert {
  margin-bottom: 0 !important;
}
#forgotPassword-ns .btn-DX {
  border-radius: 25px;
  height: 40px;
  font-size: 16px;
  background-color: #d11c22;
  border-color: #d11c22;
  color: #fff;
  line-height: 26px;
}
#forgotPassword-ns .btn-DX:focus,
#forgotPassword-ns .btn-DX.focus {
  color: #fff;
  background-color: #9e1519 ;
  border-color: #9e1519 ;
}
#forgotPassword-ns .btn-DX:hover {
  color: #fff;
  background-color: #9e1519;
  border-color: #9e1519;
}
#forgotPassword-ns .btn-DX:active,
#forgotPassword-ns .btn-DX.active,
#forgotPassword-ns .open {
  color: #fff;
  background-color: #941318;
  border-color: #941318;
}
